Subject: Re: [Int-area] I-D Action: draft-ietf-intarea-frag-fragile-06.txt

From: Ron Bonica <[email-masked]>
Date: Wed, 30 Jan 2019 20:36:53 +0000

Inline.......

> 
> Message: 2
> Date: Wed, 30 Jan 2019 08:40:39 +1300
> From: Brian E Carpenter <[email-masked]>
> To: [email-masked]
> Subject: Re: [Int-area] I-D Action:
> 	draft-ietf-intarea-frag-fragile-06.txt
> Message-ID: <[email-masked]>
> Content-Type: text/plain; charset=utf-8
> 
> Reviewing this version, I noticed the absence of one mitigation that we should
> probably be recommending.
> 
> - in section 4.4. "Stateless Load Balancers" add the remark that balancers that
> use *only* the IPv6 Source Address, IPv6 Destination Address and IPv6 Flow
> Label (when it is non-zero) work perfectly on fragmented traffic.
> 

Fair enough. This is almost identical to a comment made by Tom Herbert. I have added a few sentences to the end of Section 4.4 that address both.

> - in section 7. "Recommendations" add a subsection "To Load Balancer
> Developers and Operators" saying that load balancers (including ECMP/LAG)
> SHOULD be designed and configured to use *only* the IPv6 Source Address,
> IPv6 Destination Address and IPv6 Flow Label (when it is non-zero).
> 

Also agree. Look for that section in Version 07

> Regards
>    Brian Carpenter
***************************************

---

From: Brian E Carpenter <[email-masked]>
Date: Thu, 31 Jan 2019 11:24:25 +1300

Thanks Ron. I think that's sufficient for this draft. You might consider adding citations of RFC6437 and RFC7098 as well
as 6438, to capture the whole picture.
 
Regards
   Brian

On 2019-01-31 09:36, Ron Bonica wrote:
> .